Module | Spec::Mocks::ExampleMethods
In: | lib/spec/mocks/spec_methods.rb

### Methods

mock stub stub_everything

### Included Modules

Spec::Mocks::ArgumentConstraintMatchers

### Public Instance methods

mock(name, stubs_and_options={})

Shortcut for creating an instance of Spec::Mocks::Mock.

`name` is used for failure reporting, so you should use the role that the mock is playing in the example.

`stubs_and_options` lets you assign options and stub values at the same time. The only option available is :null_object. Anything else is treated as a stub value.

## Examples

      stub_thing = mock("thing", :a => "A")
      stub_thing.a == "A" => true

      stub_person = stub("thing", :name => "Joe", :email => "joe@domain.com")
      stub_person.name => "Joe"
      stub_person.email => "joe@domain.com"

[Source]

        # File lib/spec/mocks/spec_methods.rb, line 23
    23:       def mock(name, stubs_and_options={})
    24:         Spec::Mocks::Mock.new(name, stubs_and_options)
    25:       end

stub(name, stubs_and_options={})

Alias for mock

stub_everything(name = 'stub')

Shortcut for creating a mock object that will return itself in response to any message it receives that it hasn‘t been explicitly instructed to respond to.

[Source]

        # File lib/spec/mocks/spec_methods.rb, line 32
    32:       def stub_everything(name = 'stub')
    33:         mock(name, :null_object => true)
    34:       end

[Validate]